import request from '@/utils/request'

// 查询盘点任务列表
export function listTask(query) {
  return request({
    url: '/Inventory/task/list',
    method: 'get',
    params: query
  })
}

// 查询盘点任务详细
export function getTask(id) {
  return request({
    url: '/Inventory/task/' + id,
    method: 'get'
  })
}

// 新增盘点任务
export function addTask(data) {
  return request({
    url: '/Inventory/task',
    method: 'post',
    data: data
  })
}

// 修改盘点任务
export function updateTask(data) {
  return request({
    url: '/Inventory/task',
    method: 'put',
    data: data
  })
}

// 删除盘点任务
export function delTask(id) {
  return request({
    url: '/Inventory/task/' + id,
    method: 'delete'
  })
}
